Skip to main content
`Ctrl`+`K`

# MatInterpolate

\(y = A*x\) or \(A^T*x\) depending on the shape of the matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInterpolate(Mat A, Vec x, Vec y)

Neighbor-wise Collective

## Input Parameters

- A - the matrix

- x - the vector to be interpolated

## Output Parameter

- y - the resulting vector

## Note

This allows one to use either the restriction or interpolation (its transpose) matrix to do the interpolation

## See Also

Matrices, `Mat`, `MatMultAdd()`, `MatMultTransposeAdd()`, `MatRestrict()`, `PCMG`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ts/tutorials/ex30.c
src/snes/tutorials/ex11.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages